Subject: Re: [BEHAVE] draft-jennings-behave-nat6-00.txt

From: Cullen Jennings <[email-masked]>
Date: Mon, 3 Nov 2008 17:07:37 -0700

Many thanks for these - I changed most of them (and snipped them out  
of email) as you suggested but few comments inline ...

On Aug 4, 2008, at 6:42 AM, Iljitsch van Beijnum wrote:

>
>
> I think the discussion of MTU/fragmentation related issues is  
> useful, apparently we never put this in the NAT64 document...
>
> However:
>
>   The NAT MUST support reassembly of fragmented packets when the
>   packets are received in order, but support for out of order  
> fragments
>   is OPTIONAL.
>
> @ NAT64 co-authors:  :-)
>
>   If the NAT receives a v4 packet with the do not fragment bit set, it
>   MUST NOT forward it if the MTU of the v6 link would require the
>   packet to be fragmented, and the NAT MUST NOT include a fragment
>   header in the v6 packet.
>
> Why MUST? SHOULD is more than strong enough.

No good reason really other than SHOULD implies I would want to say  
when you would not do this and I could not think of any.

>
>
>   If the NAT receives a v4 packet that does
>   not have the do not fragment bit set, then the packet, when
>   forwarded, MUST include a fragment header
>
> Huh? Do you mean that you translate the fragments rather than  
> reassemble and refragment?
yep, storage for reassembly seems like a problem. Clearly some  
implementations could resample then forward but I was trying not to  
require that.

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave